FROM registry.hamdocker.ir/seniorkian/node:18-alpine

WORKDIR /app

COPY package*.json ./

RUN npm config set registry https://mirror-npm.runflare.com

RUN npm install --force

COPY . .

RUN npm run build

RUN ls -la

EXPOSE 3000

CMD ["npx", "vite", "preview", "--host", "0.0.0.0", "--port", "3000"]